<?php
	date_default_timezone_set("Asia/Jakarta");
	//koneksi ke database
	include('Koneksi.php');
	if($koneksi->connect_error){
		die("Koneksi ke Database Gagal !");
	}   
	session_start();
	if(isset($_SESSION['is_adminlogin'])){
		$aUser = strtoupper($_SESSION['aUser']);
		$my_date = date("Y-m-d H:i:s");
	} else {
		echo "<script> location.href='index.php'; </script>";
	}
?>
<!DOCTYPE html>  
<html>  
 <head>  
  <title>Data Customer </title>  
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.0/jquery.min.js"></script>  
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" />  
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>  
 </head>  
 <body>  
  
  <div class="container" style="left:320px; position:absolute;"> 
   <h3 align="center">List Data Customer</h3>  
   <br />  
   <div class="table-responsive" style="width:100%;">
    <div align="left">
     <button type="button" name="age" id="age" data-toggle="modal" data-target="#add_data_Modal" class="btn btn-warning">Tambah Data Customer</button>
    </div>
    <br />
    <div id="customer_table">
     <table class="table table-bordered">
      <tr>
       <th width="25%">Nama Customer</th>  
	   <th width="12%">No. ID</th>  
	   <th width="8%">Jekel</th>  
	   <th width="25%">Alamat</th>  
	   <th width="10%">Telp. / HP</th>  
       <th width="10%">Detail</th>
       <th width="5%">Edit</th>
       <th width="5%">Hapus</th>
      </tr>
      <?php
	  $query = "SELECT * FROM customer ORDER BY nm_beli";
	  $result = mysqli_query($koneksi, $query);
      while($row = mysqli_fetch_array($result))
      {
      ?>
      <tr>
       <td><?php echo $row["nm_beli"]; ?></td>
	   <td><?php echo $row["no_id"]; ?></td>
	   <td><?php echo $row["l_p"]; ?></td>
	   <td><?php echo $row["alm_surat"]; ?></td>
	   <td><?php echo $row["telp_surat"]; ?></td>
       <td><input type="button" name="view" value="Lihat Detail" id="<?php echo $row["no_id"]; ?>" class="btn btn-info btn-xs view_data" /></td>
       <td><input type="button" name="edit" value="Edit" id="<?php echo $row["no_id"]; ?>" class="btn btn-warning btn-xs edit_data" /></td> 
       <td><input type="button" name="delete" value="Hapus" id="<?php echo $row["no_id"]; ?>" class="btn btn-danger btn-xs hapus_data" /></td> 
      </tr>
      <?php
      }
      ?>
     </table>
    </div>
   </div> 
  </div>
 </body>  
 <?php
 include('menu.php');
 ?>
</html>  
 
<div id="add_data_Modal" class="modal fade">
 <div class="modal-dialog">
  <div class="modal-content">
   <div class="modal-header">
    <button type="button" class="close" data-dismiss="modal">&times;</button>
    <h4 class="modal-title">Input Data Customer</h4>
   </div>
   <div class="modal-body">
    <form method="post" id="insert_form">
	 <label>No. ID</label>
     <input type="text" name="no_id" id="no_id" class="form-control" />
     <br />
     <label>Nama Customer</label>
     <input type="text" name="nama" id="nama" class="form-control" />
     <br />
     <label>Alamat Customer</label>
     <textarea name="alamat" id="alamat" class="form-control"></textarea>
     <br />
     <label>Jenis Kelamin</label>
     <select name="gender" id="gender" class="form-control">
      <option value="Laki-laki">Laki-laki</option>  
      <option value="Perempuan">Perempuan</option>
     </select>
     <br />  
     <label>HP/Telp</label>
     <input type="text" name="telp" id="telp" class="form-control" />
     <br />
	 <label>Pekerjaan</label>
     <select name="usaha" id="usaha" class="form-control">
      <option value="PUNYA USAHA">PUNYA USAHA</option>  
      <option value="GAJI (CASH)">GAJI (CASH)</option>
	  <option value="GAJI (PAYROLL)">GAJI (PAYROLL)</option>
     </select>
     <br />  
	 <label>Alamat Kantor</label>
     <textarea name="alamatu" id="alamatu" class="form-control"></textarea>
     <br />
	 <label>Saudara Kandung Tidak Serumah Yang Dapat Dihubungi</label>
	 <br />
	 <label>Nama</label>
     <input type="text" name="namas" id="namas" class="form-control" />
     <br />
     <label>Alamat</label>
     <textarea name="alamats" id="alamats" class="form-control"></textarea>
     <br />
	 <label>HP/Telp</label>
     <input type="text" name="telps" id="telps" class="form-control" />
     <br />
	 <label>Hubungan</label>
     <input type="text" name="hubungan" id="hubungan" class="form-control" />
     <br />
     <input type="submit" name="insert" id="insert" value="Insert" class="btn btn-success" />
 
    </form>
   </div>
   <div class="modal-footer">
    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
   </div>
  </div>
 </div>
</div>
 
<div id="dataModal" class="modal fade">
 <div class="modal-dialog">
  <div class="modal-content">
   <div class="modal-header">
    <button type="button" class="close" data-dismiss="modal">&times;</button>
    <h4 class="modal-title">Detail Data Customer</h4>
   </div>
   <div class="modal-body" id="detail_customer">
     
   </div>
   <div class="modal-footer">
    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
   </div>
  </div>
 </div>
</div>
 
 
<div id="editModal" class="modal fade">
 <div class="modal-dialog">
  <div class="modal-content">
   <div class="modal-header">
    <button type="button" class="close" data-dismiss="modal">&times;</button>
    <h4 class="modal-title">Edit Data Customer</h4>
   </div>
   <div class="modal-body" id="form_edit">
     
   </div>
   <div class="modal-footer">
    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
   </div>
  </div>
 </div>
</div>
 
<script>  
$(document).ready(function(){
// Begin Aksi Insert
 $('#insert_form').on("submit", function(event){  
  event.preventDefault();  
  if($('#nama').val() == "")  
  {  
   alert("Mohon Isi Nama ");  
  }  
  else if($('#alamat').val() == '')  
  {  
   alert("Mohon Isi Alamat");  
  }  
  
  else 
  {  
   $.ajax({  
    url:"insert_cust.php",  
    method:"POST",  
    data:$('#insert_form').serialize(),  
    beforeSend:function(){  
     $('#insert').val("Inserting");  
    },  
    success:function(data){  
     $('#insert_form')[0].reset();  
     $('#add_data_Modal').modal('hide');  
     $('#customer_table').html(data);  
    }  
   });  
  }  
 });
//END Aksi Insert
 
//Begin Tampil Detail Customer
 $(document).on('click', '.view_data', function(){
  var customer_id = $(this).attr("id");
  $.ajax({
   url:"select_cust.php",
   method:"POST",
   data:{customer_id:customer_id},
   success:function(data){
    $('#detail_customer').html(data);
    $('#dataModal').modal('show');
   }
  });
 });
//End Tampil Detail customer
  
//Begin Tampil Form Edit
  $(document).on('click', '.edit_data', function(){
  var customer_id = $(this).attr("id");
  $.ajax({
   url:"edit_cust.php",
   method:"POST",
   data:{customer_id:customer_id},
   success:function(data){
    $('#form_edit').html(data);
    $('#editModal').modal('show');
   }
  });
 });
//End Tampil Form Edit
 
//Begin Aksi Delete Data
 $(document).on('click', '.hapus_data', function(){
  var customer_id = $(this).attr("id");
  $.ajax({
   url:"delete_cust.php",
   method:"POST",
   data:{customer_id:customer_id},
   success:function(data){
   $('#customer_table').html(data);  
   }
  });
 });
}); 
//End Aksi Delete Data
 </script>