<!DOCTYPE html>
<html lang="en">

<head>
 <meta charset="UTF-8">
 <meta name="viewport" content="width=device-width, initial-scale=1.0">
 <meta http-equiv="X-UA-Compatible" content="ie=edge">
 <title>
  <?php echo TITLE ?>
 </title>
 <!-- Bootstrap CSS -->
 <link rel="stylesheet" href="../css/bootstrap.min.css">

 <!-- Font Awesome CSS -->
 <link rel="stylesheet" href="../css/all.min.css">

 <!-- Custome CSS -->
 <link rel="stylesheet" href="../css/custom2.css">
 <link rel="shortcut icon" href="../images/school.png">
</head>

<body>
<div id="mySidenav" class="topnav">
    <a href="javascript:void(0)" class="closebtn" onclick="closeNav()">&times;</a>
    <ul class="nav flex-column">
        <a class="nav-link <?php if(PAGE == 'dashboard') { echo 'active'; } ?> " href="dashboard.php">
            <i class="fas fa-tachometer-alt"></i>
            Dashboard
        </a>
    <li class="nav-item">
        <i class="fab fa-accessible-icon"></i>
        <b>PROJECT</b>
        <a class="nav-link <?php if(PAGE == 'request') { echo 'active'; } ?>" href="request.php">
            <i class="fas fa-align-center"></i>
            Requests
        </a>
        <a class="nav-link <?php if(PAGE == 'workreport') { echo 'active'; } ?>" href="projectreport.php">
            <i class="fas fa-table"></i>
            Project Report
        </a>
    </li>
    <li class="nav-item">
        <br/><i class="fas fa-school"></i>
        <b>HRD</b>
        <a class="nav-link <?php if(PAGE == 'technician') { echo 'active'; } ?>" href="request_hrd2.php">
            <i class="fas fa-book-reader"></i>
            Requests
        </a>
        <a class="nav-link <?php if(PAGE == 'workreport') { echo 'active'; } ?>" href="#">
            <i class="fas fa-table"></i>
            HRD Report
        </a>
    </li>
    <li class="nav-item">
        <br/><i class="fas fa-chart-bar"></i>
        <b>FINANCE</b>
        </a>
        <a class="nav-link <?php if(PAGE == 'sellreport') { echo 'active'; } ?>" href="bktc.php">
            <i class="fas fa-check-square"></i>
            BKTC Approval
        </a>
        <a class="nav-link <?php if(PAGE == 'workreport') { echo 'active'; } ?>" href="#">
            <i class="fas fa-calculator"></i>
            Budget Request
        </a>
        <a class="nav-link <?php if(PAGE == 'workreport') { echo 'active'; } ?>" href="#">
            <i class="fas fa-table"></i>
            Finance Report
        </a>
    </li>
    <li class="nav-item">
        <br/><i class="fas fa-chart-bar"></i>
        <b>OTHERS</b>
        </a>
        <a class="nav-link <?php if(PAGE == 'changepass') { echo 'active'; } ?>" href="changepass.php">
            <i class="fas fa-key"></i>
            Change Password
        </a>
        <a class="nav-link" href="../logout.php">
            <i class="fas fa-sign-out-alt"></i>
            Logout
        </a>
    </li>
    </ul>
</div>

<!-- Use any element to open the sidenav -->
<span style="font-size:30px;cursor:pointer" onclick="openNav()">&#9776; Menu</span>

<!-- Add all page content inside this div if you want the side nav to push page content to the right (not used if you only want the sidenav to sit on top of the page -->
<div id="main">
</div>

<script>
    function openNav() {
        document.getElementById("mySidenav").style.width = "250px";
        document.getElementById("main").style.marginLeft = "250px";
    }

    function closeNav() {
        document.getElementById("mySidenav").style.width = "0";
        document.getElementById("main").style.marginLeft= "0";
    }
</script>
</body>
