<?php
	date_default_timezone_set("Asia/Jakarta");
	//koneksi ke database
	include('Koneksi.php');
	if($koneksi->connect_error){
		die("Koneksi ke Database Gagal !");
	}   
	session_start();
	if(isset($_SESSION['is_adminlogin'])){
		$aUser = strtoupper($_SESSION['aUser']);
		$my_date = date("Y-m-d H:i:s");
	} else {
		echo "<script> location.href='index.php'; </script>";
	}
?>
<!DOCTYPE html>  
<html>  
 <head>  
  <title>Data Marketing </title>  
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.0/jquery.min.js"></script>  
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" />  
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>  
 </head>  
 <body>  
  
  <div class="container" style="left:320px; position:absolute;"> 
   <div class="table-responsive" style="width:85%;">
    <h3 align="center">List Data Marketing</h3>  
    <br />  
    <div align="left">
     <button type="button" name="age" id="age" data-toggle="modal" data-target="#add_data_Modal" class="btn btn-warning">Tambah Data Marketing</button>
    </div>
    <br />
    <div id="marketing_table">
     <table class="table table-bordered">
      <tr>
	   <th width="10%">Code</th>  
       <th width="50%">Nama Marketing</th>  
	   <th width="20%">Telp. / HP</th>  
       <th width="10%">Detail</th>
       <th width="5%">Edit</th>
       <th width="5%">Hapus</th>
      </tr>
      <?php
	  $query = "SELECT * FROM marketing ORDER BY code";
	  $result = mysqli_query($koneksi, $query);
      while($row = mysqli_fetch_array($result))
      {
      if ($row["code"]=='MKT000'){
        ?>
            <tr>
	            <td><?php echo $row["code"]; ?></td>
                <td><?php echo $row["nama"]; ?></td>
	            <td><?php echo $row["telp"]; ?></td>
                <td></td>
                <td></td> 
                <td></td> 
            </tr>
      <?php
      }else{
          ?>
            <tr>
	            <td><?php echo $row["code"]; ?></td>
                <td><?php echo $row["nama"]; ?></td>
	            <td><?php echo $row["telp"]; ?></td>
                <td><input type="button" name="view" value="Lihat Detail" id="<?php echo $row["code"]; ?>" class="btn btn-info btn-xs view_data" /></td>
                <td><input type="button" name="edit" value="Edit" id="<?php echo $row["code"]; ?>" class="btn btn-warning btn-xs edit_data" /></td> 
                <td><input type="button" name="delete" value="Hapus" id="<?php echo $row["code"]; ?>" class="btn btn-danger btn-xs hapus_data" /></td> 
            </tr>
      <?php
      }
      }
      ?>
     </table>
    </div>
   </div> 
  </div>
 </body>  
 <?php
 include('menu.php');
 ?></html>  
 
<div id="add_data_Modal" class="modal fade">
 <div class="modal-dialog">
  <div class="modal-content">
   <div class="modal-header">
    <button type="button" class="close" data-dismiss="modal">&times;</button>
    <h4 class="modal-title">Input Data Marketing</h4>
   </div>
   <div class="modal-body">
    <form method="post" id="insert_form">
	 <label>No. ID</label>
     <input type="text" name="code" id="code" class="form-control" />
     <br />
     <label>Nama Marketing</label>
     <input type="text" name="nama" id="nama" class="form-control" />
     <br />
     <label>HP/Telp</label>
     <input type="text" name="telp" id="telp" class="form-control" />
     <br />
     <input type="submit" name="insert" id="insert" value="Insert" class="btn btn-success" />
 
    </form>
   </div>
   <div class="modal-footer">
    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
   </div>
  </div>
 </div>
</div>
 
<div id="dataModal" class="modal fade">
 <div class="modal-dialog">
  <div class="modal-content">
   <div class="modal-header">
    <button type="button" class="close" data-dismiss="modal">&times;</button>
    <h4 class="modal-title">Detail Data Marketing</h4>
   </div>
   <div class="modal-body" id="detail_marketing">
     
   </div>
   <div class="modal-footer">
    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
   </div>
  </div>
 </div>
</div>
 
 
<div id="editModal" class="modal fade">
 <div class="modal-dialog">
  <div class="modal-content">
   <div class="modal-header">
    <button type="button" class="close" data-dismiss="modal">&times;</button>
    <h4 class="modal-title">Edit Data Marketing</h4>
   </div>
   <div class="modal-body" id="form_edit">
     
   </div>
   <div class="modal-footer">
    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
   </div>
  </div>
 </div>
</div>
 
<script>  
$(document).ready(function(){
// Begin Aksi Insert
 $('#insert_form').on("submit", function(event){  
  event.preventDefault();  
  if($('#nama').val() == "")  
  {  
   alert("Mohon Isi Nama ");  
  }  
  
  else 
  {  
   $.ajax({  
    url:"insert_mkt.php",  
    method:"POST",  
    data:$('#insert_form').serialize(),  
    beforeSend:function(){  
     $('#insert').val("Inserting");  
    },  
    success:function(data){  
     $('#insert_form')[0].reset();  
     $('#add_data_Modal').modal('hide');  
     $('#marketing_table').html(data);  
    }  
   });  
  }  
 });
//END Aksi Insert
 
//Begin Tampil Detail Marketing
 $(document).on('click', '.view_data', function(){
  var marketing_id = $(this).attr("id");
  $.ajax({
   url:"select_mkt.php",
   method:"POST",
   data:{marketing_id:marketing_id},
   success:function(data){
    $('#detail_marketing').html(data);
    $('#dataModal').modal('show');
   }
  });
 });
//End Tampil Detail Marketing
  
//Begin Tampil Form Edit
  $(document).on('click', '.edit_data', function(){
  var marketing_id = $(this).attr("id");
  $.ajax({
   url:"edit_mkt.php",
   method:"POST",
   data:{marketing_id:marketing_id},
   success:function(data){
    $('#form_edit').html(data);
    $('#editModal').modal('show');
   }
  });
 });
//End Tampil Form Edit
 
//Begin Aksi Delete Data
 $(document).on('click', '.hapus_data', function(){
  var marketing_id = $(this).attr("id");
  $.ajax({
   url:"delete_mkt.php",
   method:"POST",
   data:{marketing_id:marketing_id},
   success:function(data){
   $('#marketing_table').html(data);  
   }
  });
 });
}); 
//End Aksi Delete Data
 </script>