<?php
	date_default_timezone_set("Asia/Jakarta");
	//koneksi ke database
	include('Koneksi.php');
	if($koneksi->connect_error){
		die("Koneksi ke Database Gagal !");
	}
	session_start();
	if(isset($_SESSION['is_adminlogin'])){
		$aUser = strtoupper($_SESSION['aUser']);
		$my_date = date("Y-m-d H:i:s");
	} else {
		echo "<script> location.href='index.php'; </script>";
	}
?>
<!DOCTYPE html>  
<html>  
 <head>  
  <title>Data Customer </title>  
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.0/jquery.min.js"></script>  
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" />  
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>  
 </head>  
 <body>  
  
  <div class="container" style="left:320px; position:absolute;"> 
   <div class="table-responsive" style="width:130%;">
    <h3 align="center">List Status Customer</h3>  
    <br />  
    <div align="left">
	 <?php
		if ($aUser=='MAINT') {
	 ?>
			<button type="button" name="age" id="age" data-toggle="modal" data-target="#add_data_Modal" class="btn btn-warning">Update Status Customer</button>
	 <?php
		}
	 ?>
    </div>
    <br />
    <div id="status_table">
     <table class="table table-bordered">
      <tr style="color: black; background: #ddd;">
       <th width="8%">Blok/Nomor</th>  
	   <th width="18%">Customer</th>  
	   <th width="10%">No. ID</th>  
	   <th width="7%">Tgl. Trans</th>  
	   <th width="7%">Analis</th>
	   <th width="7%">Banding</th>
	   <th width="7%">Reject</th>  
	   <th width="7%">SP3K</th>  
	   <th width="7%">Conform</th>  
	   <th width="7%">Akad</th>  
	   <th width="8%">Blok/Nomor</th>  
       <th width="6%">Detail</th>
       <th width="6%">Update</th>
	   <th width="6%">Pindah</th>
	   <th width="6%">Reject</th>
      </tr>
      <?php
	  $query = "SELECT * FROM stock ORDER BY nomor";
	  $result = mysqli_query($koneksi, $query);
      while($row = mysqli_fetch_array($result))
      {
	  ?>
		<?php
		switch ($row["gambar"]){
		case "yellow.png":
		?>
			<tr style="color: black; background: yellow;">
			<?php
				break;
		case "green.png":
		?>
			<tr style="color: black; background: green;">
			<?php
				break;
		case "blue.png":
		?>
			<tr style="color: white; background: blue;">
			<?php
				break;
		case "purple.png":
		?>
			<tr style="color: white; background: purple;">
			<?php
				break;
		case "red.png":
		?>
			<tr style="color: white; background: red;">
			<?php
				break;
		case "grey.png":
		?>
			<tr style="color: black; background: lightgrey;">
			<?php
				break;
		default:?>
			<tr style="color: black; background: white;">
			<?php
				break;
		}?>
		<?php
		if ($row['tgl_skunci'] != '0000-00-00') {
		?>
		    <th><?php echo substr($row["nomor"],0,2).'-'.substr($row["nomor"],2,2).' '; ?><i class="fas fa-key"></i></th>
		<?php
		} else {
		?>
		    <th><?php echo substr($row["nomor"],0,2).'-'.substr($row["nomor"],2,2); ?></th>
		<?php
		}
		?>
		<th><?php echo $row["nm_beli"]; ?></th>
		<th><?php echo $row["no_id"]; ?></th>
		<?php
		if ($row['tgl_trans'] != '0000-00-00') {
		?>
			<th><?php echo date('d-m-Y', strtotime($row["tgl_trans"])); ?></th>
		<?php
		} else {
		?>
			<th><?php echo ' '; ?></th>
		<?php
		}
		?>

		<?php
		if ($row['tgl_analis'] != '0000-00-00') {
		?>
			<th><?php echo date('d-m-Y', strtotime($row["tgl_analis"])); ?></th>
		<?php
		} else {
		?>
			<th><?php echo ' '; ?></th>
		<?php
		}
		?>
		
		<?php
		if ($row['tgl_banding'] != '0000-00-00') {
		?>
			<th><?php echo date('d-m-Y', strtotime($row["tgl_banding"])); ?></th>
		<?php
		} else {
		?>
			<th><?php echo ' '; ?></th>
		<?php
		}
		?>
		
		<?php
		if ($row['tgl_reject'] != '0000-00-00') {
		?>
			<th><?php echo date('d-m-Y', strtotime($row["tgl_reject"])); ?></th>
		<?php
		} else {
		?>
			<th><?php echo ' '; ?></th>
		<?php
		}
		?>

		<?php
		if ($row['tgl_sp3k'] != '0000-00-00') {
		?>
			<th><?php echo date('d-m-Y', strtotime($row["tgl_sp3k"])); ?></th>
		<?php
		} else {
		?>
			<th><?php echo ' '; ?></th>
		<?php
		}
		?>
		
		<?php
		if ($row['tgl_conform'] != '0000-00-00') {
		?>
			<th><?php echo date('d-m-Y', strtotime($row["tgl_conform"])); ?></th>
		<?php
		} else {
		?>
			<th><?php echo ' '; ?></th>
		<?php
		}
		?>

		<?php
		if ($row['tgl_akad'] != '0000-00-00') {
		?>
			<th><?php echo date('d-m-Y', strtotime($row["tgl_akad"])); ?></th>
		<?php
		} else {
		?>
			<th><?php echo ' '; ?></th>
		<?php
		}
		?>
		<?php
		if ($row['tgl_skunci'] != '0000-00-00') {
		?>
		    <th><?php echo substr($row["nomor"],0,2).'-'.substr($row["nomor"],2,2).' '; ?><i class="fas fa-key"></i></th>
		<?php
		} else {
		?>
		    <th><?php echo substr($row["nomor"],0,2).'-'.substr($row["nomor"],2,2); ?></th>
		<?php
		}
		?>
		
		<?php
		if ($row['gambar'] != '') {
		?>
			<td><input type="button" name="view" value="Lihat Detail" id="<?php echo $row["nomor"]; ?>" class="btn btn-info btn-xs view_data" /></td>
		<?php
		} else {
		?>
			<td><?php echo ' '; ?></td>
		<?php
		}
		?>
		<?php
		if ($aUser=='MAINT') {
		?>
			<td><input type="button" name="edit" value="Update Status" id="<?php echo $row["nomor"]; ?>" class="btn btn-warning btn-xs edit_data" /></td> 
		<?php
		} else {
		?>
			<td><?php echo ' '; ?></td>
		<?php
		}
		?>
		<?php
		if ($row['gambar'] != '' AND $aUser=='MAINT') {
		?>
			<td><input type="button" name="pindah" value="Pindah Blok" id="<?php echo $row["nomor"]; ?>" class="btn btn-success btn-xs pindah_data" /></td> 
			<td><input type="button" name="reject" value="Reject" id="<?php echo $row["nomor"]; ?>" class="btn btn-danger btn-xs reject_data" /></td> 
		<?php
		} else {
		?>
			<td><?php echo ' '; ?></td>
			<td><?php echo ' '; ?></td>
		<?php
		}
		?>
		</tr>
	  <?php	
      }
      ?>
     </table>
	 
    </div>
   </div> 
  </div>
 </body>  
 <?php
 include('menu.php');
 ?>
</html>  
 
<div id="add_data_Modal" class="modal fade">
 <div class="modal-dialog">
  <div class="modal-content">
   <div class="modal-header">
    <button type="button" class="close" data-dismiss="modal">&times;</button>
    <h4 class="modal-title">Update Status Customer</h4>
   </div>
   <div class="modal-body">
    <form method="post" id="insert_form">
	 <label>Blok/Nomor</label>
	 <select name="no_unit" id="no_unit" class="form-control">
	 <?php 
		$sql=mysqli_query($koneksi,"SELECT * FROM stock WHERE gambar='' ORDER BY nomor");
		while ($data=mysqli_fetch_array($sql)) {
	 ?>
			<option value="<?=$data['nomor']?>"><?=$data['nomor']?></option> 
	 <?php
		}
	 ?>
	 </select>
	 <br />
	 <label>Customer</label>
	 <select name="no_id" id="no_id" class="form-control">
	 <?php 
		$sql=mysqli_query($koneksi,"SELECT * FROM customer ORDER BY nm_beli");
		while ($data=mysqli_fetch_array($sql)) {
	 ?>
		<option value="<?=$data['no_id']?>"><?=$data['nm_beli']?> (<?=$data['no_id']?>)</option> 
	 <?php
		}
	 ?>
	 </select>
	 <br />
	 <label>Nama Bank</label>
	 <select name="bank" id="bank" class="form-control">
	 <?php 
		$sql=mysqli_query($koneksi,"SELECT * FROM bank ORDER BY bank");
		while ($data=mysqli_fetch_array($sql)) {
	 ?>
		<option value="<?=$data['bank']?>"><?=$data['bank']?></option> 
	 <?php
		}
	 ?>
	 </select>
	 <br />
	 <label>Nama Sales</label>
	 <select name="sales" id="sales" class="form-control">
	 <?php 
		$sql=mysqli_query($koneksi,"SELECT * FROM marketing ORDER BY nama");
		while ($data=mysqli_fetch_array($sql)) {
	 ?>
		<option value="<?=$data['nama']?>"><?=$data['nama']?></option> 
	 <?php
		}
	 ?>
	 </select>
	 <br />
	 <label>Nama Mediator</label>
     <input type="text" name="mediator" id="mediator" class="form-control" />
     <br />
	 <label>Tgl. Sold</label>
     <input type="date" name="tgltrans" id="tgltrans" class="form-control" />
     <br />
	 <label>Tgl. Analis</label>
     <input type="date" name="tglanalis" id="tglanalis" class="form-control" />
     <br />
	 <label>Tgl. SP3K</label>
     <input type="date" name="tglsp3k" id="tglsp3k" class="form-control" />
	 <br />
	 <label>Tgl. Conform Blok</label>
     <input type="date" name="tglconform" id="tglconform" class="form-control" />
     <br />
	 <label>Tgl. Akad</label>
     <input type="date" name="tglakad" id="tglakad" class="form-control" />
     <br />
	 <label>Tgl. Balik Nama</label>
     <input type="date" name="tglbn" id="tglbn" class="form-control" />
     <br />
     <label>Tgl. Serah Kunci</label>
     <input type="date" name="tglskunci" id="tglskunci" class="form-control" />
     <br />
     <label>Kode Promo</label>
	 <input type="text" name="kodepromo" id="kodepromo" class="form-control" />
	 <br />
	 <label>Keterangan</label>
	 <textarea name="ket" id="ket" class="form-control"></textarea>
	 <br />
	 <input type="submit" name="insert" id="insert" value="Update" class="btn btn-success" />
    </form>
   </div>
   <div class="modal-footer">
    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
   </div>
  </div>
 </div>
</div>
 
<div id="dataModal" class="modal fade">
 <div class="modal-dialog">
  <div class="modal-content">
   <div class="modal-header">
    <button type="button" class="close" data-dismiss="modal">&times;</button>
    <h4 class="modal-title">Detail Status Customer</h4>
   </div>
   <div class="modal-body" id="detail_status">
     
   </div>
   <div class="modal-footer">
    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
   </div>
  </div>
 </div>
</div>
 
 
<div id="editModal" class="modal fade">
 <div class="modal-dialog">
  <div class="modal-content">
   <div class="modal-header">
    <button type="button" class="close" data-dismiss="modal">&times;</button>
    <h4 class="modal-title">Update Status Customer</h4>
   </div>
   <div class="modal-body" id="form_edit">
     
   </div>
   <div class="modal-footer">
    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
   </div>
  </div>
 </div>
</div>

<div id="pindahModal" class="modal fade">
 <div class="modal-dialog">
  <div class="modal-content">
   <div class="modal-header">
    <button type="button" class="close" data-dismiss="modal">&times;</button>
    <h4 class="modal-title">Pindah Blok</h4>
   </div>
   <div class="modal-body" id="form_pindah">
     
   </div>
   <div class="modal-footer">
    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
   </div>
  </div>
 </div>
</div>

<div id="rejectModal" class="modal fade">
 <div class="modal-dialog">
  <div class="modal-content">
   <div class="modal-header">
    <button type="button" class="close" data-dismiss="modal">&times;</button>
    <h4 class="modal-title">Reject Status</h4>
   </div>
   <div class="modal-body" id="form_reject">
     
   </div>
   <div class="modal-footer">
    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
   </div>
  </div>
 </div>
</div>
 
<script>  
$(document).ready(function(){
// Begin Aksi Insert
 $('#insert_form').on("submit", function(event){  
  event.preventDefault();  
  if($('#no_unit').val() == "")  
  {  
   alert("Mohon Pilih Unit");  
  }  
  else if($('#no_id').val() == '')  
  {  
   alert("Mohon Pilih Customer");  
  }  
  
  else 
  {  
   $.ajax({  
    url:"insert_status.php",  
    method:"POST",  
    data:$('#insert_form').serialize(),  
    beforeSend:function(){  
     $('#insert').val("Inserting");  
    },  
    success:function(data){  
     $('#insert_form')[0].reset();  
     $('#add_data_Modal').modal('hide');  
     $('#status_table').html(data);  
    }  
   });  
  }  
 });
//END Aksi Insert
 
//Begin Tampil Detail Customer
 $(document).on('click', '.view_data', function(){
  var nomor = $(this).attr("id");
  $.ajax({
   url:"select_status.php",
   method:"POST",
   data:{nomor:nomor},
   success:function(data){
    $('#detail_status').html(data);
    $('#dataModal').modal('show');
   }
  });
 });
//End Tampil Detail customer
  
//Begin Tampil Form Edit
  $(document).on('click', '.edit_data', function(){
  var nomor = $(this).attr("id");
  $.ajax({
   url:"edit_status2.php",
   method:"POST",
   data:{nomor:nomor},
   success:function(data){
    $('#form_edit').html(data);
    $('#editModal').modal('show');
   }
  });
 });
//End Tampil Form Edit
 
//Begin Aksi Delete Data
 $(document).on('click', '.pindah_data', function(){
  var nomor = $(this).attr("id");
  $.ajax({
   url:"pindah_status.php",
   method:"POST",
   data:{nomor:nomor},
   success:function(data){
    $('#form_pindah').html(data);
    $('#pindahModal').modal('show');
   }
  });
 });
}); 
//End Aksi Delete Data

//Begin Reject Customer
 $(document).on('click', '.reject_data', function(){
  var nomor = $(this).attr("id");
  $.ajax({
   url:"reject_status.php",
   method:"POST",
   data:{nomor:nomor},
   success:function(data){
    $('#form_reject').html(data);
    $('#rejectModal').modal('show');
   }
  });
 });
//End Reject customer

 </script>