<?php
	date_default_timezone_set("Asia/Jakarta");
	//koneksi ke database
	include('Koneksi.php');
	if($koneksi->connect_error){
		die("Koneksi ke Database Gagal !");
	}
	session_start();
	if(isset($_SESSION['is_adminlogin'])){
		$aUser = strtoupper($_SESSION['aUser']);
		$my_date = date("Y-m-d H:i:s");
	} else {
		echo "<script> location.href='index.php'; </script>";
	}
	$tglskrg	= date_create();
?>
<!DOCTYPE html>  
<html>  
 <head>  
  <title>Data Customer </title>  
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.0/jquery.min.js"></script>  
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" />  
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>  
 </head>  
 <body>  
  
  <div class="container" style="left:320px; position:absolute;"> 
   <div class="table-responsive" style="width:93%;">
    <h3 align="center">List Progress Bangunan</h3>  
    <br />  
    <div id="status_table">
     <table class="table table-bordered">
      <tr>
       <th style="color: black; background: lightgreen;" colspan="3" width="50%"></th>  
	   <th style="color: black; background: lightyellow;" colspan="4" class="text-center" width="36%">Progress (%)</th>
	   <th style="color: black; background: lightblue;" colspan="1" width="10%"></th>
	   <th style="color: black; background: lightgrey;" colspan="1" width="6%"></th>
      </tr>
      <tr>
       <th style="color: black; background: lightgreen;" width="8%">Nomor</th>  
	   <th style="color: black; background: lightgreen;" width="32%">Customer</th>  
	   <th style="color: black; background: lightgreen;" width="10%">Tgl. Trans</th>
	   <th style="color: black; background: lightyellow;" width="10%">Tgl. I</th>  
	   <th style="color: black; background: lightyellow;" class="text-center" width="8%">I</th>  
	   <th style="color: black; background: lightyellow;" width="10%">Tgl. II</th>  
	   <th style="color: black; background: lightyellow;" class="text-center" width="8%">II</th>  
       <th style="color: black; background: lightgrey;" width="6%">Update</th>
      </tr>
      <?php
	  $query = "SELECT * FROM stock ORDER BY nomor";
	  $result = mysqli_query($koneksi, $query);
      while($row = mysqli_fetch_array($result))
      {
	  ?>
		<?php
		if ($row['tgl_skunci'] != '0000-00-00') {
		?>
		    <th style="color: black; background: greenyellow;"><?php echo substr($row["nomor"],0,2).'-'.substr($row["nomor"],2,2).' '; ?><i class="fas fa-key"></i></th>
		<?php
		} else {
			if ($row['ceklist'] != '0000-00-00') {
				$tgl_cek = date_create($row['ceklist']);
				$jarak 	= date_diff( $tglskrg, $tgl_cek);
				if ($jarak->days > 14) {
		?>
					<th style="color: black; background: greenyellow;"><?php echo substr($row["nomor"],0,2).'-'.substr($row["nomor"],2,2).' *'; ?></th>
		<?php
				} else {
		?>
					<th style="color: black; background: greenyellow;"><?php echo substr($row["nomor"],0,2).'-'.substr($row["nomor"],2,2); ?></th>
		<?php
				}
			} else {
		?>
				<th style="color: black; background: greenyellow;"><?php echo substr($row["nomor"],0,2).'-'.substr($row["nomor"],2,2); ?></th>
		<?php
			}
		}		
		?>
		<th style="color: black; background: greenyellow;"><?php echo $row["nm_beli"]; ?></th>
		<?php
		if ($row['tgl_trans'] != '0000-00-00') {
		?>
			<th style="color: black; background: greenyellow;"><?php echo date('d-m-Y', strtotime($row["tgl_trans"])); ?></th>
		<?php
		} else {
		?>
			<th style="color: black; background: greenyellow;"><?php echo ' '; ?></th>
		<?php
		}
		?>
		<?php
		if ($row['tgl_progress1'] != '0000-00-00') {
		?>
			<th style="color: black; background: lemonchiffon;"><?php echo date('d-m-Y', strtotime($row["tgl_progress1"])); ?></th>
		<?php
		} else {
		?>
			<th style="color: black; background: lemonchiffon;"><?php echo ' '; ?></th>
		<?php
		}
		?>
        <th style="color: black; background: lemonchiffon;" class="text-right"><?php echo $row["progress1"]; ?></th>
        <?php
		if ($row['tgl_progress2'] != '0000-00-00') {
		?>
			<th style="color: black; background: lemonchiffon;"><?php echo date('d-m-Y', strtotime($row["tgl_progress2"])); ?></th>
		<?php
		} else {
		?>
			<th style="color: black; background: lemonchiffon;"><?php echo ' '; ?></th>
		<?php
		}
		?>
        <th style="color: black; background: lemonchiffon;" class="text-right"><?php echo $row["progress2"]; ?></th>

		<?php
		if ($aUser=='MAINT' || $aUser=='ADMPROJECT') {
		?>
			<td style="color: black; background: MistyRose;"><input type="button" name="edit" value="Update Progress" id="<?php echo $row["nomor"]; ?>" class="btn btn-warning btn-xs edit_data" /></td> 
		<?php
		} else {
		?>
			<td style="color: black; background: MistyRose;"><?php echo ' '; ?></td>
		<?php
		}
		?>
		</tr>
	  <?php	
      }
      ?>
     </table>
	 
    </div>
   </div> 
  </div>
 </body>  
 <?php
 include('menu.php');
 ?>
</html>  
 
<div id="dataModal" class="modal fade">
 <div class="modal-dialog">
  <div class="modal-content">
   <div class="modal-header">
    <button type="button" class="close" data-dismiss="modal">&times;</button>
    <h4 class="modal-title">Detail Progress Bangunan</h4>
   </div>
   <div class="modal-body" id="detail_status">
     
   </div>
   <div class="modal-footer">
    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
   </div>
  </div>
 </div>
</div>
 
 
<div id="editModal" class="modal fade">
 <div class="modal-dialog">
  <div class="modal-content">
   <div class="modal-header">
    <button type="button" class="close" data-dismiss="modal">&times;</button>
    <h4 class="modal-title">Update Progress Bangunan</h4>
   </div>
   <div class="modal-body" id="form_edit">
     
   </div>
   <div class="modal-footer">
    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
   </div>
  </div>
 </div>
</div>

<script>  
$(document).ready(function(){
//Begin Tampil Form Edit
  $(document).on('click', '.edit_data', function(){
  var nomor = $(this).attr("id");
  $.ajax({
   url:"edit_status_progress.php",
   method:"POST",
   data:{nomor:nomor},
   success:function(data){
    $('#form_edit').html(data);
    $('#editModal').modal('show');
   }
  });
 });
});
//End Tampil Form Edit
</script>