<?php
	date_default_timezone_set("Asia/Jakarta");
	//koneksi ke database
	include('Koneksi.php');
	session_start();
	if(isset($_SESSION['is_adminlogin'])){
		$aUser = strtoupper($_SESSION['aUser']);
		$my_date = date("Y-m-d H:i:s");
	} else {
		echo "<script> location.href='index.php'; </script>";
	}
?>

<!doctype html>
<html>
<head>
<meta charset="utf-12">
<meta http-equiv="refresh" content="300" >
<title>Siteplan</title>
<link rel="stylesheet" href="css/menu.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.0/jquery.min.js"></script>  
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" />  
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>  

<body>
<div class="main">
	<img id="siteplan" src="img/Siteplan_TLSv2a.jpg" alt="Siteplan">

	<?php
		//clearstatcache();
		include 'Koneksi.php';
		if($koneksi->connect_error){
			die("Koneksi ke Database Gagal !");
		}
		$sql=mysqli_query($koneksi,"SELECT * from stock order by nomor");
		echo $aUser;
		if ($aUser=='MAINT') {
			while ($data=mysqli_fetch_array($sql)){
				$vnomor=$data['nomor'];
				$vtop=$data['atas']+58;
				$vleft=$data['kiri']-92;
				$vtop=$vtop."px";
				$vleft=$vleft."px";
				if ($data['gambar'] != '') {
				    if ($data['tgl_skunci'] != '0000-00-00') {
				        if ($data['bank'] == 'CASH DEVELOPER') {
					?>
					        <p id="<?php echo $data["nomor"]; ?>" class="edit_data"?>" ><?php echo "<a><img src='img/grey_key.png' border='2 solid #555' alt='$vnomor' style='top:$vtop; left:$vleft; width:11px; height:11px; border-radius: 50px; position:absolute;'></a>";?></p>
					    <?php
				        } else {
				        ?>
				            <p id="<?php echo $data["nomor"]; ?>" class="edit_data"?>" ><?php echo "<a><img src='img/red_key.png' border='2 solid #555' alt='$vnomor' style='top:$vtop; left:$vleft; width:11px; height:11px; border-radius: 50px; position:absolute;'></a>";?></p>
				        <?php
				        }
				    } else {
				    ?>
    					<p id="<?php echo $data["nomor"]; ?>" class="edit_data"?>" ><?php echo "<a><img src='img/$data[gambar]' border='2 solid #555' alt='$vnomor' style='top:$vtop; left:$vleft; width:11px; height:11px; border-radius: 50px; position:absolute;'></a>";?></p>
					<?php  
				    }
				} else {
					?>
					<p id="<?php echo $data["nomor"]; ?>" class="edit_data"><?php echo "<a><img src='img/white.png' border='2 solid #555' alt='$vnomor' style='top:$vtop; left:$vleft; width:11px; height:11px; border-radius: 50px; position:absolute;'></a>";?></p>
				    <?php  
				}
			}
		} else {
			while ($data=mysqli_fetch_array($sql)){
				$vnomor=$data['nomor'];
				$vtop=$data['atas']+58;
				$vleft=$data['kiri']-92;
				$vtop=$vtop."px";
				$vleft=$vleft."px";
				if ($data['gambar'] != '') {
					?>
					<p id="<?php echo $data["nomor"]; ?>" class="view_data"><?php echo "<a><img src='img/$data[gambar]' border='2 solid #555' alt='$vnomor' style='top:$vtop; left:$vleft; width:11px; height:11px; border-radius: 50px; position:absolute;'></a>";?></p>
					<?php
				} else {
					?>
					<p id="<?php echo $data["nomor"]; ?>" class="view_data"><?php echo "<a><img src='img/white.png' border='2 solid #555' alt='$vnomor' style='top:$vtop; left:$vleft; width:11px; height:11px; border-radius: 50px; position:absolute;'></a>";?></p>
					<?php
				}
			}
		}
	?>
</div>
</body>
<?php
include('menu.php');
?>
</html>

<div id="editModal" class="modal fade">
 <div class="modal-dialog">
  <div class="modal-content">
   <div class="modal-header">
    <button type="button" class="close" data-dismiss="modal">&times;</button>
    <h4 class="modal-title">Update Status Customer</h4>
   </div>
   <div class="modal-body" id="form_edit">
     
   </div>
   <div class="modal-footer">
    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
   </div>
  </div>
 </div>
</div>

<div id="dataModal" class="modal fade">
 <div class="modal-dialog">
  <div class="modal-content">
   <div class="modal-header">
    <button type="button" class="close" data-dismiss="modal">&times;</button>
    <h4 class="modal-title">Detail Status Customer</h4>
   </div>
   <div class="modal-body" id="detail_status">
     
   </div>
   <div class="modal-footer">
    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
   </div>
  </div>
 </div>
</div>

<script>  
$(document).ready(function(){
//Begin Tampil Form Edit
  $(document).on('click', '.edit_data', function(){
  var nomor = $(this).attr("id");
  $.ajax({
   url:"edit_status2.php",
   method:"POST",
   data:{nomor:nomor},
   success:function(data){
    $('#form_edit').html(data);
    $('#editModal').modal('show');
   }
  });
 });
});
//End Tampil Form Edit

//Begin Tampil Detail Customer
 $(document).on('click', '.view_data', function(){
  var nomor = $(this).attr("id");
  $.ajax({
   url:"select_status.php",
   method:"POST",
   data:{nomor:nomor},
   success:function(data){
    $('#detail_status').html(data);
    $('#dataModal').modal('show');
   }
  });
 });
//End Tampil Detail customer
 </script>