<?php
	date_default_timezone_set("Asia/Jakarta");
	//koneksi ke database
	include('Koneksi.php');
	if($koneksi->connect_error){
		die("Koneksi ke Database Gagal !");
	}
	session_start();
	if(isset($_SESSION['is_adminlogin'])){
		$aUser = strtoupper($_SESSION['aUser']);
		$my_date = date("Y-m-d H:i:s");
	} else {
		echo "<script> location.href='index.php'; </script>";
	}
?>
<!DOCTYPE html>  
<html>  
 <head>  
  <title>Data Stock</title>  
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.0/jquery.min.js"></script>  
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" />  
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>  
 </head>  
 <body>  
  
  <div class="container" style="left:320px; position:absolute;"> 
   <div class="table-responsive" style="width:75%;">
    <h3 align="center">List Unit Rumah</h3>  
    <br />  
    <div id="status_table">
     <table class="table table-bordered">
      <tr style="color: black; background: #ddd;">
       <th width="8%">Blok/Nomor</th>  
	   <th width="15%">Luas Bgn.</th>  
	   <th width="15%">Luas Tanah</th>  
	   <th width="20%">Jenis Bangunan</th>  
	   <th width="18%">Type rumah</th>  
	   <th width="2%"></th>  
       <th width="6%">Detail</th>
       <th width="6%">Update</th>
      </tr>
      <?php
	  $query = "SELECT * FROM stock ORDER BY nomor";
	  $result = mysqli_query($koneksi, $query);
      while($row = mysqli_fetch_array($result))
      {
	  ?>
		<?php
		switch ($row["gambar"]){
		case "":
		?>
			<tr style="color: black; background: white;">
			<?php
				break;
		default:?>
			<tr style="color: black; background: green;">
			<?php
				break;
		}?>
		<th><?php echo substr($row["nomor"],0,2).'-'.substr($row["nomor"],2,2); ?></th>
		<th><?php echo number_format($row["luas_bgn"]); ?></th>
		<th><?php echo number_format($row["luas_tnh"]); ?></th>
		<th><?php echo $row["jns_bgn"]; ?></th>
		<th><?php echo $row["type"]; ?></th>
		<?php
			if ($row["akad"]==1){
		?>
				<th><?php echo 'X'; ?></th>
		<?php
			} else {
		?>
				<th><?php echo ' '; ?></th>
		<?php
			}
		?>
		<td><input type="button" name="view" value="Lihat Detail" id="<?php echo $row["nomor"]; ?>" class="btn btn-info btn-xs view_data" /></td>
		<?php
		if ($aUser=='MAINT') {
		?>
			<td><input type="button" name="edit" value="Update Status" id="<?php echo $row["nomor"]; ?>" class="btn btn-warning btn-xs edit_data" /></td> 
		<?php
		} else {
		?>
			<td><?php echo ' '; ?></td>
		<?php
		}
		?>
		</tr>
	  <?php	
      }
      ?>
     </table>
	 
    </div>
   </div> 
  </div>
 </body>  
 <?php
 include('menu.php');
 ?>
</html>  

<div id="dataModal" class="modal fade">
 <div class="modal-dialog">
  <div class="modal-content">
   <div class="modal-header">
    <button type="button" class="close" data-dismiss="modal">&times;</button>
    <h4 class="modal-title">Detail Stock</h4>
   </div>
   <div class="modal-body" id="detail_status">
     
   </div>
   <div class="modal-footer">
    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
   </div>
  </div>
 </div>
</div>
 
<div id="editModal" class="modal fade">
 <div class="modal-dialog">
  <div class="modal-content">
   <div class="modal-header">
    <button type="button" class="close" data-dismiss="modal">&times;</button>
    <h4 class="modal-title">Update Stock</h4>
   </div>
   <div class="modal-body" id="form_edit">
     
   </div>
   <div class="modal-footer">
    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
   </div>
  </div>
 </div>
</div>

<script>  
$(document).ready(function(){
 
//Begin Tampil Detail Customer
 $(document).on('click', '.view_data', function(){
  var nomor = $(this).attr("id");
  $.ajax({
   url:"select_stock.php",
   method:"POST",
   data:{nomor:nomor},
   success:function(data){
    $('#detail_status').html(data);
    $('#dataModal').modal('show');
   }
  });
 });
//End Tampil Detail customer

//Begin Tampil Form Edit
  $(document).on('click', '.edit_data', function(){
  var nomor = $(this).attr("id");
  $.ajax({
   url:"edit_stock.php",
   method:"POST",
   data:{nomor:nomor},
   success:function(data){
    $('#form_edit').html(data);
    $('#editModal').modal('show');
   }
  });
 });
}); 
//End Tampil Form Edit
  
 </script>