<?php
	date_default_timezone_set("Asia/Jakarta");
	//koneksi ke database
	include('Koneksi.php');
	if($koneksi->connect_error){
		die("Koneksi ke Database Gagal !");
	}   
	session_start();
	if(isset($_SESSION['is_adminlogin'])){
		$aUser = strtoupper($_SESSION['aUser']);
		$my_date = date("Y-m-d H:i:s");
	} else {
		echo "<script> location.href='index.php'; </script>";
	}
?>
<!DOCTYPE html>  
<html>  
 <head>  
  <title>Data Bank </title>  
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.0/jquery.min.js"></script>  
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" />  
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>  
 </head>  
 <body>  
  
  <div class="container" style="left:320px; position:absolute;"> 
   <div class="table-responsive" style="width:50%;">
    <h3 align="center">List Data Bank</h3>  
    <br />  
    <div align="left">
     <button type="button" name="age" id="age" data-toggle="modal" data-target="#add_data_Modal" class="btn btn-warning">Tambah Data Bank</button>
    </div>
    <br />
	<div id="bank_table">
     <table class="table table-bordered">
      <tr>
       <th width="45%">Nama Bank</th>  
       <th width="5%">Hapus</th>
      </tr>
      <?php
	  $query = "SELECT * FROM bank ORDER BY bank";
	  $result = mysqli_query($koneksi, $query);
      while($row = mysqli_fetch_array($result))
      {
		if ($row["bank"]=='-'){
		?>
			<tr>
				<td><?php echo $row["bank"]; ?></td>
				<td></td> 
			</tr>
		<?php
		}else{
        ?>
            <tr>
                <td><?php echo $row["bank"]; ?></td>
				<td><input type="button" name="delete" value="Hapus" id="<?php echo $row["bank"]; ?>" class="btn btn-danger btn-xs hapus_data" /></td> 
            </tr>
		<?php
      }
	  }
      ?>
     </table>
    </div>
   </div> 
  </div>
 </body>
 <?php
 include('menu.php');
 ?>
</html>  
 
<div id="add_data_Modal" class="modal fade">
 <div class="modal-dialog">
  <div class="modal-content">
   <div class="modal-header">
    <button type="button" class="close" data-dismiss="modal">&times;</button>
    <h4 class="modal-title">Input Data Bank</h4>
   </div>
   <div class="modal-body">
    <form method="post" id="insert_form">
     <label>Nama Bank</label>
     <input type="text" name="nama" id="nama" class="form-control" />
     <br />
     <input type="submit" name="insert" id="insert" value="Insert" class="btn btn-success" />
 
    </form>
   </div>
   <div class="modal-footer">
    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
   </div>
  </div>
 </div>
</div>
 
<div id="dataModal" class="modal fade">
 <div class="modal-dialog">
  <div class="modal-content">
   <div class="modal-header">
    <button type="button" class="close" data-dismiss="modal">&times;</button>
    <h4 class="modal-title">Detail Data Bank</h4>
   </div>
   <div class="modal-body" id="detail_bank">
     
   </div>
   <div class="modal-footer">
    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
   </div>
  </div>
 </div>
</div>
 
 
<script>  
$(document).ready(function(){
// Begin Aksi Insert
 $('#insert_form').on("submit", function(event){  
  event.preventDefault();  
  if($('#nama').val() == "")  
  {  
   alert("Mohon Isi Nama ");  
  }  
  
  else 
  {  
   $.ajax({  
    url:"insert_bank.php",  
    method:"POST",  
    data:$('#insert_form').serialize(),  
    beforeSend:function(){  
     $('#insert').val("Inserting");  
    },  
    success:function(data){  
     $('#insert_form')[0].reset();  
     $('#add_data_Modal').modal('hide');  
     $('#bank_table').html(data);  
    }  
   });  
  }  
 });
//END Aksi Insert
 
//Begin Tampil Detail Bank
 $(document).on('click', '.view_data', function(){
  var bank_id = $(this).attr("id");
  $.ajax({
   url:"select_bank.php",
   method:"POST",
   data:{bank_id:bank_id},
   success:function(data){
    $('#detail_bank').html(data);
    $('#dataModal').modal('show');
   }
  });
 });
//End Tampil Detail Bank
  
//Begin Aksi Delete Data
 $(document).on('click', '.hapus_data', function(){
  var bank_id = $(this).attr("id");
  $.ajax({
   url:"delete_bank.php",
   method:"POST",
   data:{bank_id:bank_id},
   success:function(data){
   $('#bank_table').html(data);  
   }
  });
 });
}); 
//End Aksi Delete Data
 </script>