<?php
	date_default_timezone_set("Asia/Jakarta");
	//koneksi ke database
	include('Koneksi.php');
	if($koneksi->connect_error){
		die("Koneksi ke Database Gagal !");
	}
	session_start();
	if(isset($_SESSION['is_adminlogin'])){
		$aUser = strtoupper($_SESSION['aUser']);
		$my_date = date("Y-m-d H:i:s");
	} else {
		echo "<script> location.href='index.php'; </script>";
	}
?>
<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>LAPORAN</title>
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
 
</head>
<body>
	<div class="container" style="left:320px; position:absolute;">
	  <form action="cetak.php" method="post">
		<table class="table table-bordered" style="width:50%;">
		    <br>
		    <h3>Rekap Konsumen Option</h3>
		    <br>
			<thead>				
				<tr>
					<th width="30%" style="text-align: center;">Keterangan</th>
					<th width="70%" style="text-align: center;">Pilihan</th>
				</tr>				
			</thead>
			<tbody>
				<tr>
					<td width="30%"><label>Periode</label></td>  
					<td width="70%"><input type="date" name="tgl1" id="tgl1" /> to <input type="date" name="tgl2" id="tgl2"/></td>  
				</tr>
				<tr>
					<td width="30%"><label>Marketing</label></td>  
					<td width="70%">
						<select name="sales" id="sales" class="form-control">
							<option value="Semua">>>> SEMUA <<<</option>
							<?php 
							$sql=mysqli_query($koneksi,"SELECT * FROM marketing ORDER BY nama");
							while ($data=mysqli_fetch_array($sql)) {
							?>
								<option value="<?=$data['nama']?>"><?=$data['nama']?></option> 
							<?php
							}
							?>
						</select>
					</td>  
				</tr>
				<tr>
					<td width="30%"><label>Bank</label></td>  
					<td width="70%">
						<select name="bank" id="bank" class="form-control">
							<option value="Semua">>>> SEMUA <<<</option>
							<?php 
							$sql=mysqli_query($koneksi,"SELECT * FROM bank ORDER BY bank");
							while ($data=mysqli_fetch_array($sql)) {
							?>
								<option value="<?=$data['bank']?>"><?=$data['bank']?></option> 
							<?php
							}
							?>
						</select>
					</td>  
				</tr>
				<tr>
					<td width="30%"><label>Status</label></td>  
					<td width="70%">
						<select name="status" id="status" class="form-control">
								<option value="Sold">Sold</option>
								<option value="Analis">Analis</option>
								<option value="SP3K">SP3K</option>
								<option value="Conform">Conform Blok</option>
								<option value="Akad">Akad</option>
								<option value="Cash">Cash</option>
						</select>
					</td>  
				</tr>
				<tr>
					<td width="30%"><label></label></td>  
					<td width="70%">
						<input type="checkbox" name="statuslain" id="statuslain"> Termasuk Status Lainnya
					</td>  
				</tr>
				<tr>
					<td width="30%"><label></label></td>  
					<td width="70%">
						<input type="checkbox" name="group" id="group" checked> Group Berdasarkan Status
					</td>  
				</tr>
				<tr>
					<td width="30%"><label>Urut Berdasarkan</label></td>  
					<td width="70%">
						<select name="urut" id="urut" class="form-control">
							<option value="Tanggal">Tanggal</option>
							<option value="Blok">Blok/Nomor Rumah</option>
							<option value="Customer">Customer</option>
						</select>
					</td>  
				</tr>
				<tr>
					<td width="30%"><label>Posisi</label></td>  
					<td width="70%">
						<select name="posisi" id="posisi" class="form-control">
							<option value="Semua">>>> SEMUA <<<</option>
							<option value="NoWaiting">Tidak Termasuk Waiting List</option>
							<option value="Waiting">Hanya Waiting List</option>
						</select>
					</td>  
				</tr>
			</tbody>
		</table>
		<div style="text-align:center;">
			<input type="submit" value="Proses" class="btn btn-success btn-xs" />
		</div>
	  </form>
	</div>
</body>
<?php
 include('menu.php');
?>
</html>