<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <title>Laporan Penjualan</title>
    <!-- Include file CSS Bootstrap -->
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <!-- Include library Bootstrap Datepicker -->
    <link href="libraries/bootstrap-datepicker/css/bootstrap-datepicker.min.css" rel="stylesheet">
    <!-- Font Awesome CSS -->
    <link rel="stylesheet" href="css/all.min.css">
    <!-- Custome CSS -->
    <link rel="stylesheet" href="css/custom.css">
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="css/bootstrap.min2.css">
    <!-- Include File jQuery -->
    <script src="js/jquery.min.js"></script>
</head>
<body>
    <div style="padding: 15px;">
		<a href="siteplan.php">Home</a>
		<br><br>
        <h3 style="margin-top: 0;"><b>Laporan Penjualan</b></h3>
        <hr />
        <form method="get" action="lap_jual.php">
            <div class="row">
                <div class="col-sm-6 col-md-4">
                    <div class="form-group">
                        <label>Filter Tanggal</label>
                        <div class="input-group">
                            <input type="date" name="tgl_awal" value="<?= @$_GET['tgl_awal'] ?>" class="form-control tgl_awal" placeholder="Tanggal Awal">
                            <span>s/d</span>
                            <input type="date" name="tgl_akhir" value="<?= @$_GET['tgl_akhir'] ?>" class="form-control tgl_akhir" placeholder="Tanggal Akhir">
                        </div>
                    </div>
                </div>
            </div>
			<label>Filter Berdasarkan</label><br>
	        <select name="pilih" id="pilih">
	            <option value="">Pilih</option>
	            <option value="1">Semua</option>
	            <option value="2">Sold</option>
	            <option value="3">Analis</option>
	            <option value="4">SP3K</option>
				<option value="5">Akad</option>
        	</select>
        	<br /><br />
            <button type="submit" name="filter" value="true" class="btn btn-primary">TAMPILKAN</button>
            <?php
            if(isset($_GET['filter'])) // Jika user mengisi filter tanggal, maka munculkan tombol untuk reset filter
                echo '<a href="lap_jual.php" class="btn btn-default">RESET</a>';
            ?>
        </form>
        <?php
        // Load file koneksi.php
        include "koneksi.php";
        $tgl_awal = @$_GET['tgl_awal']; // Ambil data tgl_awal sesuai input (kalau tidak ada set kosong)
        $tgl_akhir = @$_GET['tgl_akhir']; // Ambil data tgl_awal sesuai input (kalau tidak ada set kosong)
        if(isset($_GET['filter']) && ! empty($_GET['filter'])){
			$pilih = @$_GET['pilih']; // Ambil data filder yang dipilih user
			if(empty($tgl_awal) or empty($tgl_akhir)){ // Cek jika tgl_awal atau tgl_akhir kosong, maka :
            	// Buat query untuk menampilkan semua data transaksi
        		if($pilih == '1'){
					$query1 = "SELECT * FROM stock WHERE tgl_trans != '00-00-0000' AND tgl_analis = '00-00-0000' AND tgl_sp3k = '00-00-0000'  AND tgl_akad = '00-00-0000' ORDER BY tgl_trans";
					$query2 = "SELECT * FROM stock WHERE tgl_trans != '00-00-0000' AND tgl_analis != '00-00-0000' AND tgl_sp3k = '00-00-0000'  AND tgl_akad = '00-00-0000' ORDER BY tgl_trans";
					$query3 = "SELECT * FROM stock WHERE tgl_trans != '00-00-0000' AND tgl_analis != '00-00-0000' AND tgl_sp3k != '00-00-0000'  AND tgl_akad = '00-00-0000' ORDER BY tgl_trans";
					$query4 = "SELECT * FROM stock WHERE tgl_trans != '00-00-0000' AND tgl_analis != '00-00-0000' AND tgl_sp3k != '00-00-0000'  AND tgl_akad != '00-00-0000' ORDER BY tgl_trans";
					$label = "Semua Data Penjualan";
					$label1 = "SOLD";
					$label2 = "ANALIS";
					$label3 = "SP3K";
					$label4 = "AKAD";
				}elseif($pilih == '2'){
					$query = "SELECT * FROM stock WHERE tgl_trans != '00-00-0000' AND tgl_analis = '00-00-0000' AND tgl_sp3k = '00-00-0000'  AND tgl_akad = '00-00-0000' ORDER BY tgl_trans";
					$label = "Semua Data Penjualan (SOLD)";
				}elseif($pilih == '3'){
					$query = "SELECT * FROM stock WHERE tgl_trans != '00-00-0000' AND tgl_analis != '00-00-0000' AND tgl_sp3k = '00-00-0000'  AND tgl_akad = '00-00-0000' ORDER BY tgl_analis";
					$label = "Semua Data Penjualan (ANALIS)";
				}elseif($pilih == '4'){
					$query = "SELECT * FROM stock WHERE tgl_trans != '00-00-0000' AND tgl_analis != '00-00-0000' AND tgl_sp3k != '00-00-0000'  AND tgl_akad = '00-00-0000' ORDER BY tgl_sp3k";
					$label = "Semua Data Penjualan (SP3K)";
				}else{
					$query = "SELECT * FROM stock WHERE tgl_trans != '00-00-0000' AND tgl_analis != '00-00-0000' AND tgl_sp3k != '00-00-0000'  AND tgl_akad != '00-00-0000' ORDER BY tgl_akad";
					$label = "Semua Data Penjualan (AKAD)";
				}
			    $url_cetak = "print.php";
        	}else{ // Jika terisi
				$tgl_awal2 = date('d-m-Y', strtotime($tgl_awal)); // Ubah format tanggal jadi dd-mm-yyyy
		            	$tgl_akhir2 = date('d-m-Y', strtotime($tgl_akhir)); // Ubah format tanggal jadi dd-mm-yyyy
				// Buat query untuk menampilkan data transaksi sesuai periode tanggal
            	if($pilih == '1'){
					$query1 = "SELECT * FROM stock WHERE (tgl_trans BETWEEN '$tgl_awal' AND '$tgl_akhir') AND tgl_analis = '00-00-0000' AND tgl_sp3k = '00-00-0000'  AND tgl_akad = '00-00-0000' ORDER BY tgl_trans";
					$query2 = "SELECT * FROM stock WHERE (tgl_trans BETWEEN '$tgl_awal' AND '$tgl_akhir') AND tgl_analis != '00-00-0000' AND tgl_sp3k = '00-00-0000'  AND tgl_akad = '00-00-0000' ORDER BY tgl_trans";
					$query3 = "SELECT * FROM stock WHERE (tgl_trans BETWEEN '$tgl_awal' AND '$tgl_akhir') AND tgl_analis != '00-00-0000' AND tgl_sp3k != '00-00-0000'  AND tgl_akad = '00-00-0000' ORDER BY tgl_trans";
					$query4 = "SELECT * FROM stock WHERE (tgl_trans BETWEEN '$tgl_awal' AND '$tgl_akhir') AND tgl_analis != '00-00-0000' AND tgl_sp3k != '00-00-0000'  AND tgl_akad != '00-00-0000' ORDER BY tgl_trans";
					$label = "Semua Data Penjualan";
					$label1 = "SOLD";
					$label2 = "ANALIS";
					$label3 = "SP3K";
					$label4 = "AKAD";
				}elseif($pilih == '2'){
					$query = "SELECT * FROM stock WHERE (tgl_trans BETWEEN '$tgl_awal' AND '$tgl_akhir') AND tgl_analis = '00-00-0000' AND tgl_sp3k = '00-00-0000'  AND tgl_akad = '00-00-0000' ORDER BY tgl_trans";
					$label = 'Periode Tanggal '.$tgl_awal2.' s/d '.$tgl_akhir2.' (SOLD)';
				}elseif($pilih == '3'){
					$query = "SELECT * FROM stock WHERE tgl_trans != '00-00-0000' AND (tgl_ANALIS BETWEEN '$tgl_awal' AND '$tgl_akhir') AND tgl_sp3k = '00-00-0000'  AND tgl_akad = '00-00-0000' ORDER BY tgl_analis";
					$label = 'Periode Tanggal '.$tgl_awal2.' s/d '.$tgl_akhir2.' (ANALIS)';
				}elseif($pilih == '4'){
					$query = "SELECT * FROM stock WHERE tgl_trans != '00-00-0000' AND tgl_analis != '00-00-0000' AND (tgl_SP3K BETWEEN '$tgl_awal' AND '$tgl_akhir') AND tgl_akad = '00-00-0000' ORDER BY tgl_sp3k";
					$label = 'Periode Tanggal '.$tgl_awal2.' s/d '.$tgl_akhir2.' (SP3K)';
				}else{
					$query = "SELECT * FROM stock WHERE tgl_trans != '00-00-0000' AND tgl_analis != '00-00-0000' AND tgl_sp3k != '00-00-0000'  AND (tgl_AKAD BETWEEN '$tgl_awal' AND '$tgl_akhir') ORDER BY tgl_akad";
					$label = 'Periode Tanggal '.$tgl_awal2.' s/d '.$tgl_akhir2.' (AKAD)';
				}
            	$url_cetak = "print.php?tgl_awal=".$tgl_awal."&tgl_akhir=".$tgl_akhir."&filter=true";
            	$tgl_awal = date('d-m-Y', strtotime($tgl_awal)); // Ubah format tanggal jadi dd-mm-yyyy
            	$tgl_akhir = date('d-m-Y', strtotime($tgl_akhir)); // Ubah format tanggal jadi dd-mm-yyyy
        	}
		}else{ // Jika user tidak mengklik tombol tampilkan
			$pilih = "1";
			$query1 = "SELECT * FROM stock WHERE tgl_trans != '00-00-0000' AND tgl_analis = '00-00-0000' AND tgl_sp3k = '00-00-0000'  AND tgl_akad = '00-00-0000' ORDER BY tgl_trans";
			$query2 = "SELECT * FROM stock WHERE tgl_trans != '00-00-0000' AND tgl_analis != '00-00-0000' AND tgl_sp3k = '00-00-0000'  AND tgl_akad = '00-00-0000' ORDER BY tgl_analis";
			$query3 = "SELECT * FROM stock WHERE tgl_trans != '00-00-0000' AND tgl_analis != '00-00-0000' AND tgl_sp3k != '00-00-0000'  AND tgl_akad = '00-00-0000' ORDER BY tgl_sp3k";
			$query4 = "SELECT * FROM stock WHERE tgl_trans != '00-00-0000' AND tgl_analis != '00-00-0000' AND tgl_sp3k != '00-00-0000'  AND tgl_akad != '00-00-0000' ORDER BY tgl_akad";
			$label = "Semua Data Penjualan";
			$label1 = "SOLD";
			$label2 = "ANALIS";
			$label3 = "SP3K";
			$label4 = "AKAD";
		}
        ?>
        <hr />
        <h4 style="margin-bottom: 5px;"><b>Data Penjualan</b></h4>
        <?php echo $label ?><br />
        <?php
		    if ($pilih == "1"){
				$no = 1;
				$sql = mysqli_query($koneksi, $query1); // Eksekusi/Jalankan query dari variabel $query
				$row = mysqli_num_rows($sql); // Ambil jumlah data dari hasil eksekusi $sql
				echo "</td>";
				echo "</td>";
                echo '
                      <p class=" bg-dark text-white p-2 mt-4">'.$label1.'</p>
                      <table class="table">
                        <thead>
                            <tr>
                                <th scope="col">No</th>
                                <th scope="col">Blok</th>
                                <th scope="col">Tanggal</th>
                                <th scope="col">Nama</th>       
                                <th scope="col">Tgl. Analis</th>
                                <th scope="col">Tgl. SP3K</th>
                                <th scope="col">Tgl. Akad</th>
                                <th scope="col">Balik Nama</th>
                                <th scope="col">Keterangan</th>
                            </tr>
                        </thead>
                        <tbody>';
        				if($row > 0){ // Jika jumlah data lebih dari 0 (Berarti jika data ada)
						    while($data = mysqli_fetch_array($sql)){ // Ambil semua data dari hasil eksekusi $sql
    							$tgl_trans  = $data['tgl_trans'];
    							$tgl_analis = $data['tgl_analis'];
    							$tgl_sp3k   = $data['tgl_sp3k'];
    							$tgl_akad   = $data['tgl_akad'];
                                $tgl_bn     = $data['tgl_bn'];
    							if ($tgl_trans == '0000-00-00') {
    								$tgl_trans = '';
    							} else {
    								$tgl_trans = date('d-m-Y', strtotime($tgl_trans)); // Ubah format tanggal jadi dd-mm-yyyy
    							}
    							if ($tgl_analis == '0000-00-00') {
    								$tgl_analis = '';
    							} else {
    								$tgl_analis = date('d-m-Y', strtotime($tgl_analis)); // Ubah format tanggal jadi dd-mm-	yyyy
    							}
    							if ($tgl_sp3k == '0000-00-00') {
    								$tgl_sp3k = '';
    							} else {
    								$tgl_sp3k = date('d-m-Y', strtotime($tgl_sp3k)); // Ubah format tanggal jadi dd-mm-yyyy
    							}
    							if ($tgl_akad == '0000-00-00') {
    								$tgl_akad = '';
    							} else {
    								$tgl_akad = date('d-m-Y', strtotime($tgl_akad)); // Ubah format tanggal jadi dd-mm-yyyy
    							}
                                if ($tgl_bn == '0000-00-00') {
                                    $tgl_bn = '';
                                } else {
                                    $tgl_bn = date('d-m-Y', strtotime($tgl_bn));
                                }
    							echo "<tr>";
    							echo "<td>".$no++."</td>";
    							echo "<td>".$data['nomor']."</td>";
    							echo "<td>".$tgl_trans."</td>";
    							echo "<td>".$data['nm_beli']."</td>";
    							echo "<td>".$tgl_analis."</td>";
    							echo "<td>".$tgl_sp3k."</td>";
    							echo "<td>".$tgl_akad."</td>";
                                echo "<td>".$tgl_bn."</td>";
                                echo "<td>".$data['remsal']."</td>";
    							echo "</tr>";
	    				    }
						}else{ // Jika data tidak ada
    						echo "<tr><td colspan='5'>Data tidak ada</td></tr>";
						}
                      echo '<tr>
                        </tr></tbody>
                        </table>';

                $no = 1;
				$sql = mysqli_query($koneksi, $query2); // Eksekusi/Jalankan query dari variabel $query
				$row = mysqli_num_rows($sql); // Ambil jumlah data dari hasil eksekusi $sql
                echo '
                      <p class=" bg-dark text-white p-2 mt-4">'.$label2.'</p>
                      <table class="table">
                        <thead>
                            <tr>
                                <th scope="col">No</th>
                                <th scope="col">Blok</th>
                                <th scope="col">Tanggal</th>
                                <th scope="col">Nama</th>       
                                <th scope="col">Tgl. Analis</th>
                                <th scope="col">Tgl. SP3K</th>
                                <th scope="col">Tgl. Akad</th>
                                <th scope="col">Balik Nama</th>
                                <th scope="col">Keterangan</th>
                            </tr>
                        </thead>
                        <tbody>';
                        if($row > 0){ // Jika jumlah data lebih dari 0 (Berarti jika data ada)
						    while($data = mysqli_fetch_array($sql)){ // Ambil semua data dari hasil eksekusi $sql
                                $tgl_trans  = $data['tgl_trans'];
                                $tgl_analis = $data['tgl_analis'];
                                $tgl_sp3k   = $data['tgl_sp3k'];
                                $tgl_akad   = $data['tgl_akad'];
                                $tgl_bn     = $data['tgl_bn'];
                                if ($tgl_trans == '0000-00-00') {
                                    $tgl_trans = '';
                                } else {
                                    $tgl_trans = date('d-m-Y', strtotime($tgl_trans)); // Ubah format tanggal jadi dd-mm-yyyy
                                }
                                if ($tgl_analis == '0000-00-00') {
                                    $tgl_analis = '';
                                } else {
                                    $tgl_analis = date('d-m-Y', strtotime($tgl_analis)); // Ubah format tanggal jadi dd-mm-	yyyy
                                }
                                if ($tgl_sp3k == '0000-00-00') {
                                    $tgl_sp3k = '';
                                } else {
                                    $tgl_sp3k = date('d-m-Y', strtotime($tgl_sp3k)); // Ubah format tanggal jadi dd-mm-yyyy
                                }
                                if ($tgl_akad == '0000-00-00') {
                                    $tgl_akad = '';
                                } else {
                                    $tgl_akad = date('d-m-Y', strtotime($tgl_akad)); // Ubah format tanggal jadi dd-mm-yyyy
                                }
                                if ($tgl_bn == '0000-00-00') {
                                    $tgl_bn = '';
                                } else {
                                    $tgl_bn = date('d-m-Y', strtotime($tgl_bn));
                                }
                                echo "<tr>";
                                echo "<td>".$no++."</td>";
                                echo "<td>".$data['nomor']."</td>";
                                echo "<td>".$tgl_trans."</td>";
                                echo "<td>".$data['nm_beli']."</td>";
                                echo "<td>".$tgl_analis."</td>";
                                echo "<td>".$tgl_sp3k."</td>";
                                echo "<td>".$tgl_akad."</td>";
                                echo "<td>".$tgl_bn."</td>";
                                echo "<td>".$data['remsal']."</td>";
                                echo "</tr>";
						    }
						}else{ // Jika data tidak ada
						    echo "<tr><td colspan='5'>Data tidak ada</td></tr>";
						}
                      echo '<tr>
                        </tr></tbody>
                            </table>';

                echo "<td><tr>";
				$no = 1;
				$sql = mysqli_query($koneksi, $query3); // Eksekusi/Jalankan query dari variabel $query
				$row = mysqli_num_rows($sql); // Ambil jumlah data dari hasil eksekusi $sql
                echo '
                      <p class=" bg-dark text-white p-2 mt-4">'.$label3.'</p>
                      <table class="table">
                        <thead>
                            <tr>
                                <th scope="col">No</th>
                                <th scope="col">Blok</th>
                                <th scope="col">Tanggal</th>
                                <th scope="col">Nama</th>       
                                <th scope="col">Tgl. Analis</th>
                                <th scope="col">Tgl. SP3K</th>
                                <th scope="col">Tgl. Akad</th>
                                <th scope="col">Balik Nama</th>
                                <th scope="col">Keterangan</th>
                            </tr>
                        </thead>
                        <tbody>';
                        if($row > 0){ // Jika jumlah data lebih dari 0 (Berarti jika data ada)
        				    while($data = mysqli_fetch_array($sql)){ // Ambil semua data dari hasil eksekusi $sql
                                $tgl_trans  = $data['tgl_trans'];
                                $tgl_analis = $data['tgl_analis'];
                                $tgl_sp3k   = $data['tgl_sp3k'];
                                $tgl_akad   = $data['tgl_akad'];
                                $tgl_bn     = $data['tgl_bn'];
                                if ($tgl_trans == '0000-00-00') {
                                    $tgl_trans = '';
                                } else {
                                    $tgl_trans = date('d-m-Y', strtotime($tgl_trans)); // Ubah format tanggal jadi dd-mm-yyyy
                                }
                                if ($tgl_analis == '0000-00-00') {
                                    $tgl_analis = '';
                                } else {
                                    $tgl_analis = date('d-m-Y', strtotime($tgl_analis)); // Ubah format tanggal jadi dd-mm-	yyyy
                                }
                                if ($tgl_sp3k == '0000-00-00') {
                                    $tgl_sp3k = '';
                                } else {
                                    $tgl_sp3k = date('d-m-Y', strtotime($tgl_sp3k)); // Ubah format tanggal jadi dd-mm-yyyy
                                }
                                if ($tgl_akad == '0000-00-00') {
                                    $tgl_akad = '';
                                } else {
                                    $tgl_akad = date('d-m-Y', strtotime($tgl_akad)); // Ubah format tanggal jadi dd-mm-yyyy
                                }
                                if ($tgl_bn == '0000-00-00') {
                                    $tgl_bn = '';
                                } else {
                                    $tgl_bn = date('d-m-Y', strtotime($tgl_bn));
                                }
                                echo "<tr>";
                                echo "<td>".$no++."</td>";
                                echo "<td>".$data['nomor']."</td>";
                                echo "<td>".$tgl_trans."</td>";
                                echo "<td>".$data['nm_beli']."</td>";
                                echo "<td>".$tgl_analis."</td>";
                                echo "<td>".$tgl_sp3k."</td>";
                                echo "<td>".$tgl_akad."</td>";
                                echo "<td>".$tgl_bn."</td>";
                                echo "<td>".$data['remsal']."</td>";
                                echo "</tr>";
        					}
						}else{ // Jika data tidak ada
						    echo "<tr><td colspan='5'>Data tidak ada</td></tr>";
						}
                      echo '<tr>
                        </tr></tbody>
                        </table>';

                echo "<td><tr>";
				$no = 1;
				$sql = mysqli_query($koneksi, $query4); // Eksekusi/Jalankan query dari variabel $query
				$row = mysqli_num_rows($sql); // Ambil jumlah data dari hasil eksekusi $sql
                echo '
                      <p class=" bg-dark text-white p-2 mt-4">'.$label4.'</p>
                      <table class="table">
                        <thead>
                            <tr>
                                <th scope="col">No</th>
                                <th scope="col">Blok</th>
                                <th scope="col">Tanggal</th>
                                <th scope="col">Nama</th>       
                                <th scope="col">Tgl. Analis</th>
                                <th scope="col">Tgl. SP3K</th>
                                <th scope="col">Tgl. Akad</th>
                                <th scope="col">Balik Nama</th>
                                <th scope="col">Keterangan</th>
                            </tr>
                        </thead>
                        <tbody>';
						if($row > 0){ // Jika jumlah data lebih dari 0 (Berarti jika data ada)
						    while($data = mysqli_fetch_array($sql)){ // Ambil semua data dari hasil eksekusi $sql
                                $tgl_trans  = $data['tgl_trans'];
                                $tgl_analis = $data['tgl_analis'];
                                $tgl_sp3k   = $data['tgl_sp3k'];
                                $tgl_akad   = $data['tgl_akad'];
                                $tgl_bn     = $data['tgl_bn'];
                                if ($tgl_trans == '0000-00-00') {
                                    $tgl_trans = '';
                                } else {
                                    $tgl_trans = date('d-m-Y', strtotime($tgl_trans)); // Ubah format tanggal jadi dd-mm-yyyy
                                }
                                if ($tgl_analis == '0000-00-00') {
                                    $tgl_analis = '';
                                } else {
                                    $tgl_analis = date('d-m-Y', strtotime($tgl_analis)); // Ubah format tanggal jadi dd-mm-	yyyy
                                }
                                if ($tgl_sp3k == '0000-00-00') {
                                    $tgl_sp3k = '';
                                } else {
                                    $tgl_sp3k = date('d-m-Y', strtotime($tgl_sp3k)); // Ubah format tanggal jadi dd-mm-yyyy
                                }
                                if ($tgl_akad == '0000-00-00') {
                                    $tgl_akad = '';
                                } else {
                                    $tgl_akad = date('d-m-Y', strtotime($tgl_akad)); // Ubah format tanggal jadi dd-mm-yyyy
                                }
                                if ($tgl_bn == '0000-00-00') {
                                    $tgl_bn = '';
                                } else {
                                    $tgl_bn = date('d-m-Y', strtotime($tgl_bn));
                                }
                                echo "<tr>";
                                echo "<td>".$no++."</td>";
                                echo "<td>".$data['nomor']."</td>";
                                echo "<td>".$tgl_trans."</td>";
                                echo "<td>".$data['nm_beli']."</td>";
                                echo "<td>".$tgl_analis."</td>";
                                echo "<td>".$tgl_sp3k."</td>";
                                echo "<td>".$tgl_akad."</td>";
                                echo "<td>".$tgl_bn."</td>";
                                echo "<td>".$data['remsal']."</td>";
                                echo "</tr>";
							}
                        }else{ // Jika data tidak ada
					        echo "<tr><td colspan='5'>Data tidak ada</td></tr>";
						}
                      echo '<tr>
                        <td><form class="d-print-none"><input class="btn btn-danger" type="submit" value="Print" onClick="window.print()"></form></td>
                        </tr></tbody>
                        </table>';
			}else{
				$no = 1;
				$sql = mysqli_query($koneksi, $query); // Eksekusi/Jalankan query dari variabel $query
				$row = mysqli_num_rows($sql); // Ambil jumlah data dari hasil eksekusi $sql
                echo '
                      <table class="table">
                        <thead>
                            <tr>
                                <th scope="col">No</th>
                                <th scope="col">Blok</th>
                                <th scope="col">Tanggal</th>
                                <th scope="col">Nama</th>       
                                <th scope="col">Tgl. Analis</th>
                                <th scope="col">Tgl. SP3K</th>
                                <th scope="col">Tgl. Akad</th>
                                <th scope="col">Balik Nama</th>
                                <th scope="col">Keterangan</th>
                            </tr>
                        </thead>
                        <tbody>';
				        if($row > 0){ // Jika jumlah data lebih dari 0 (Berarti jika data ada)
					        while($data = mysqli_fetch_array($sql)){ // Ambil semua data dari hasil eksekusi $sql
                                $tgl_trans  = $data['tgl_trans'];
                                $tgl_analis = $data['tgl_analis'];
                                $tgl_sp3k   = $data['tgl_sp3k'];
                                $tgl_akad   = $data['tgl_akad'];
                                $tgl_bn     = $data['tgl_bn'];
                                if ($tgl_trans == '0000-00-00') {
                                    $tgl_trans = '';
                                } else {
                                    $tgl_trans = date('d-m-Y', strtotime($tgl_trans)); // Ubah format tanggal jadi dd-mm-yyyy
                                }
                                if ($tgl_analis == '0000-00-00') {
                                    $tgl_analis = '';
                                } else {
                                    $tgl_analis = date('d-m-Y', strtotime($tgl_analis)); // Ubah format tanggal jadi dd-mm-	yyyy
                                }
                                if ($tgl_sp3k == '0000-00-00') {
                                    $tgl_sp3k = '';
                                } else {
                                    $tgl_sp3k = date('d-m-Y', strtotime($tgl_sp3k)); // Ubah format tanggal jadi dd-mm-yyyy
                                }
                                if ($tgl_akad == '0000-00-00') {
                                    $tgl_akad = '';
                                } else {
                                    $tgl_akad = date('d-m-Y', strtotime($tgl_akad)); // Ubah format tanggal jadi dd-mm-yyyy
                                }
                                if ($tgl_bn == '0000-00-00') {
                                    $tgl_bn = '';
                                } else {
                                    $tgl_bn = date('d-m-Y', strtotime($tgl_bn));
                                }
                                echo "<tr>";
                                echo "<td>".$no++."</td>";
                                echo "<td>".$data['nomor']."</td>";
                                echo "<td>".$tgl_trans."</td>";
                                echo "<td>".$data['nm_beli']."</td>";
                                echo "<td>".$tgl_analis."</td>";
                                echo "<td>".$tgl_sp3k."</td>";
                                echo "<td>".$tgl_akad."</td>";
                                echo "<td>".$tgl_bn."</td>";
                                echo "<td>".$data['remsal']."</td>";
                                echo "</tr>";
					        }
				        }else{ // Jika data tidak ada
						    echo "<tr><td colspan='5'>Data tidak ada</td></tr>";
						}
                      echo '<tr>
                        <td><form class="d-print-none"><input class="btn btn-danger" type="submit" value="Print" onClick="window.print()"></form></td>
                        </tr></tbody>
                        </table>';
		    }
		    ?>
        </tbody>
        </div>
    </div>
    <!-- Include File JS Bootstrap -->
    <script src="js/bootstrap.min.js"></script>
    <!-- Include library Bootstrap Datepicker -->
    <script src="libraries/bootstrap-datepicker/js/bootstrap-datepicker.min.js"></script>
    <!-- Include File JS Custom (untuk fungsi Datepicker) -->
    <script src="js/custom.js"></script>
    <script>
    $(document).ready(function(){
        setDateRangePicker(".tgl_awal", ".tgl_akhir")
    })
    </script>
</body>
</html>