<?php
date_default_timezone_set("Asia/Jakarta");
include 'Koneksi.php';
	if($koneksi->connect_error){
		die("Koneksi ke Database Gagal !");
	}
if(!empty($_POST))
{
	$output = '';
	$tgl1 	= $_POST["tgl1"];
	$tgl2 	= $_POST["tgl2"];
	if ($tgl2=="") {
		$tgl2 = date('Y-m-d');
	}
	if ($tgl1=="") {
		$judul = '<= '.date('d-m-Y', strtotime($tgl2));
	}
	if ($tgl1!="") {
		$judul = date('d-m-Y', strtotime($tgl1)).' - '.date('d-m-Y', strtotime($tgl2));
	}
	$urut	= $_POST["urut"];
	if (!empty($_POST["filter"])){
		$filterl = $_POST["filter"];
	} else {
		$filterl = 'off';
	}
}
?>
	
	
<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>REKAP PENJUALAN MARKETING</title>
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="css/menuatas.css">
</head>
<body>
	<div class="container-fluid">
	    <br>
	    <br>
	    <br>
		<center><h2>Rekap Penjualan Marketing</h2></center>
		<br>

		<table class="table table-bordered"  style="width:70%;">
			<thead>				
				<tr>
					<th width="40%" style="text-align: center;">Nama</th>
					<th width="12%" style="text-align: center;">Sold</th>
					<th width="12%" style="text-align: center;">Analis</th>
					<th width="12%" style="text-align: center;">SP3K</th>
					<th width="12%" style="text-align: center;">Conform</th>
					<th width="12%" style="text-align: center;">Akad</th>
					<th width="12%" style="text-align: center;">Cash</th>
					<th width="12%" style="text-align: center;">Total</th>
				</tr>				
			</thead>
			<tbody>
				<?php
				$sql 	= "SELECT * FROM marketing";
				$data 	= mysqli_query($koneksi,$sql);
				while($row = mysqli_fetch_array($data)){
					$nm_sales 	= $row['nama'];
//					echo $nm_sales.' - '.$tgl1.' - '.$tgl2;
					$sql2 		= "SELECT * FROM stock WHERE sal_name='$nm_sales' AND gambar='yellow.png' AND tgl_trans>='$tgl1' AND tgl_trans<='$tgl2'";
					$data2 		= mysqli_query($koneksi,$sql2);
					$tsold		= mysqli_num_rows($data2);
					
					$sql2 		= "SELECT * FROM stock WHERE sal_name='$nm_sales' AND gambar='green.png' AND tgl_analis>='$tgl1' AND tgl_analis<='$tgl2'";
					$data2 		= mysqli_query($koneksi,$sql2);
					$tanalis	= mysqli_num_rows($data2);
					
					$sql2 		= "SELECT * FROM stock WHERE sal_name='$nm_sales' AND gambar='blue.png' AND tgl_sp3k>='$tgl1' AND tgl_sp3k<='$tgl2'";
					$data2 		= mysqli_query($koneksi,$sql2);
					$tsp3k		= mysqli_num_rows($data2);
					
					$sql2 		= "SELECT * FROM stock WHERE sal_name='$nm_sales' AND gambar='purple.png' AND tgl_conform>='$tgl1' AND tgl_conform<='$tgl2'";
					$data2 		= mysqli_query($koneksi,$sql2);
					$tconform	= mysqli_num_rows($data2);
					
					$sql2 		= "SELECT * FROM stock WHERE sal_name='$nm_sales' AND gambar='red.png' AND tgl_akad>='$tgl1' AND tgl_akad<='$tgl2'";
					$data2 		= mysqli_query($koneksi,$sql2);
					$takad		= mysqli_num_rows($data2);
					
					$sql2 		= "SELECT * FROM stock WHERE sal_name='$nm_sales' AND gambar='grey.png' AND tgl_trans>='$tgl1' AND tgl_trans<='$tgl2'";
					$data2 		= mysqli_query($koneksi,$sql2);
					$tcash		= mysqli_num_rows($data2);
					
					$ttotal = $tsold+$tanalis+$tsp3k+$tconform+$takad+$tcash;
					$query 	= "update marketing set sold = $tsold, analis = $tanalis, sp3k = $tsp3k, conform = $tconform, akad =$takad, cash = $tcash, total = $ttotal 
								where nama = '$nm_sales'";
					mysqli_query($koneksi,$query);
				}
				if ($urut=='Nama'){
					$sql3 	= "SELECT * FROM marketing ORDER BY nama";
				}
				if ($urut=='MaxJual'){
					$sql3 	= "SELECT * FROM marketing ORDER BY total DESC, nama";
				}
				if ($urut=='MinJual'){
					$sql3 	= "SELECT * FROM marketing ORDER BY total, nama";
				}
				$tsold		= 0;
				$tanalis	= 0;
				$tsp3k		= 0;
				$tconform	= 0;
				$takad		= 0;
				$tcash		= 0;
				$ttotal		= 0;
				$data3 	= mysqli_query($koneksi,$sql3);
				while($row3 = mysqli_fetch_array($data3)) {
					if (($filterl=='off' AND $row3['total']>0) OR ($filterl=='on')) {
						$tsold	=$tsold+$row3['sold'];
						$tanalis=$tanalis+$row3['analis'];
						$tsp3k	=$tsp3k+$row3['sp3k'];
						$tconform=$tconform+$row3['conform'];
						$takad	=$takad+$row3['akad'];
						$tcash	=$tcash+$row3['cash'];
						$ttotal	=$ttotal+$row3['total'];
				?>
						<tr>
						<td><?php echo $row3['nama'] ?></td>
						<td class="text-right"><?php echo number_format($row3['sold']) ?></td>
						<td class="text-right"><?php echo number_format($row3['analis']) ?></td>
						<td class="text-right"><?php echo number_format($row3['sp3k']) ?></td>
						<td class="text-right"><?php echo number_format($row3['conform']) ?></td>
						<td class="text-right"><?php echo number_format($row3['akad']) ?></td>										
						<td class="text-right"><?php echo number_format($row3['cash']) ?></td>
						<td class="text-right"><?php echo number_format($row3['total']) ?></td>	
						</tr>
				<?php
					}
				}
				?>
			</tbody>
			<tr>
				<th><?php echo "TOTAL" ?></th>
				<th class="text-right"><?php echo number_format($tsold) ?></th>
				<th class="text-right"><?php echo number_format($tanalis) ?></th>										
				<th class="text-right"><?php echo number_format($tsp3k) ?></th>	
				<th class="text-right"><?php echo number_format($tconform) ?></th>	
				<th class="text-right"><?php echo number_format($takad) ?></th>										
				<th class="text-right"><?php echo number_format($tcash) ?></th>	
				<th class="text-right"><?php echo number_format($ttotal) ?></th>	
			</tr>
		</table>
		<div class="navbar">
            <a></a>
            <a href="javascript:history.back(1)">Back</a>
		    <a href="rekmkt_pdf.php?tgl1=<?php echo $tgl1 ?>&tgl2=<?php echo $tgl2 ?>&urut=<?php echo $urut ?>&filterl=<?php echo $filterl ?>&judul=<?php echo $judul ?>"
					target="_blank" class="btn btn-success">&nbsp PRINT</a>
        </div>
	</div>
</body>
</html>