<?php
date_default_timezone_set("Asia/Jakarta");
include 'Koneksi.php';
	if($koneksi->connect_error){
		die("Koneksi ke Database Gagal !");
	}
$output     = '';
$tgl1 	    = $_GET["tgl1"];
$tgl2 	    = $_GET["tgl2"];
$urut	    = $_GET["urut"];
$filterl    = $_GET["filterl"];
$judul	    = $_GET["judul"];
$cSold	    = $_GET["cSold"];
$cAnalis    = $_GET["cAnalis"];
$cSP3K	    = $_GET["cSP3K"];
$cConform	= $_GET["cConform"];
$cAkad	    = $_GET["cAkad"];
$cCash	    = $_GET["cCash"];
?>
	
	
<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>REKAP PENJUALAN MARKETING</title>
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
</head>

<?php
	header("Content-type: application/vnd-ms-excel");
	header("Content-Disposition: attachment; filename=Rek_Marketing.xls");
?>

<body>
	<div class="container-fluid">
	    <br>
	    <br>
	    <br>
		<center><h2>Rekap Penjualan Marketing</h2></center>
		<br>

		<table class="table table-bordered"  style="width:70%;">
			<thead>				
				<tr>
					<th width="40%" style="text-align: left;">Nama</th>
					    <?php
				        if ($cSold==1){
					    ?>
    				        <th width="12%" style="text-align: left;">Sold</th>
					    <?php
					    }
					    if ($cAnalis==1){
					    ?>
    					    <th width="12%" style="text-align: left;">Analis</th>
					    <?php
					    }
					    if ($cSP3K==1){
					    ?>
					        <th width="12%" style="text-align: left;">SP3K</th>
					    <?php
					    }
					    if ($cConform==1){
					    $cConform   =1;
					    ?>
					        <th width="12%" style="text-align: left;">Conform</th>
					    <?php
					    }
					    if ($cAkad==1){
					    $cAkad      =1;
					    ?>
					        <th width="12%" style="text-align: left;">Akad</th>
					    <?php
					    }
					    if ($cCash==1){
					    $cCash      =1;
					    ?>
					        <th width="12%" style="text-align: left;">Cash</th>
					    <?php
					    }
					  ?>
				            <th width="12%" style="text-align: left;">Total</th>
				</tr>				
			</thead>
			<tbody>
				<?php
				if ($urut=='Nama'){
					$sql3 	= "SELECT * FROM marketing ORDER BY nama";
				}
				if ($urut=='MaxJual'){
					$sql3 	= "SELECT * FROM marketing ORDER BY total DESC, nama";
				}
				if ($urut=='MinJual'){
					$sql3 	= "SELECT * FROM marketing ORDER BY total, nama";
				}
				$tsold		= 0;
				$tanalis	= 0;
				$tsp3k		= 0;
				$tconform	= 0;
				$takad		= 0;
				$tcash		= 0;
				$ttotal		= 0;
				$data3 	= mysqli_query($koneksi,$sql3);
				while($row3 = mysqli_fetch_array($data3)) {
					if (($filterl=='off' AND $row3['total']>0) OR ($filterl=='on')) {
						$tsold	=$tsold+$row3['sold'];
						$tanalis=$tanalis+$row3['analis'];
						$tsp3k	=$tsp3k+$row3['sp3k'];
						$tconform=$tconform+$row3['conform'];
						$takad	=$takad+$row3['akad'];
						$tcash	=$tcash+$row3['cash'];
						$ttotal	=$ttotal+$row3['total'];
				?>
						<tr>
						<td><?php echo $row3['nama'] ?></td>
						<?php
						if ($cSold==1){
						?>
						    <td><?php echo $row3['sold'] ?></td>
						<?php
						}
						if ($cAnalis==1){
						?>
						    <td><?php echo $row3['analis'] ?></td>
						<?php
						}
						if ($cSP3K==1){
						?>
						    <td><?php echo $row3['sp3k'] ?></td>
						<?php
						}
						if ($cConform==1){
						?>
						    <td><?php echo $row3['conform'] ?></td>
						<?php
						}
						if ($cAkad==1){
						?>
						    <td><?php echo $row3['akad'] ?></td>
						<?php
						}
						if ($cCash==1){
						?>
						    <td><?php echo $row3['cash'] ?></td>
						<?php
						}
						?>
						<td><?php echo $row3['total'] ?></td>	
						</tr>
				<?php
					}
				}
				?>
			</tbody>
			<tr>
			    <th><?php echo "TOTAL" ?></th>
				<?php
				if ($cSold==1){
				?>
				    <th><?php echo $tsold ?></th>
				<?php
				}
				if ($cAnalis==1){
				?>
				    <th><?php echo $tanalis ?></th>	
				<?php
				}
				if ($cSP3K==1){
				?>
				    <th><?php echo $tsp3k ?></th>	
				<?php
				}
				if ($cConform==1){
				?>
				    <th><?php echo $tconform ?></th>	
				<?php
				}
				if ($cAkad==1){
				?>
				    <th><?php echo $takad ?></th>										
				<?php
				}
				if ($cCash==1){
				?>
				    <th><?php echo $tcash ?></th>	
				<?php
				}
				?>
				<th><?php echo $ttotal ?></th>	
			</tr>
		</table>
	</div>
</body>
</html>